## PeonyColumnProvider

PeonyColumnProvider — Interface to provide additional list view columns

## Functions

GList * | peony_column_provider_get_columns ()

## Types and Values

| PeonyColumnProvider
struct | PeonyColumnProviderIface

## Object Hierarchy

        GInterface
        ╰── PeonyColumnProvider

## Prerequisites

PeonyColumnProvider requires GObject.

## Includes

    #include <libpeony-extension/peony-column-provider.h>

## Description

PeonyColumnProvider allows extension to provide additional columns in the file manager list view.

## Functions

### peony_column_provider_get_columns ()

    GList *
    peony_column_provider_get_columns (PeonyColumnProvider *provider);

#### Parameters

provider | a PeonyColumnProvider |

#### Returns

the provided PeonyColumn objects.

[element-type PeonyColumn][transfer full]

## Types and Values

### PeonyColumnProvider

    typedef struct _PeonyColumnProvider PeonyColumnProvider;

### struct PeonyColumnProviderIface

    struct PeonyColumnProviderIface {
        GTypeInterface g_iface;

        GList *(*get_columns) (PeonyColumnProvider *provider);
    };

Interface for extensions to provide additional list view columns.

#### Members

`get_columns` () | Returns a GList of PeonyColumn. See `peony_column_provider_get_columns()` for details. |